Skip to main content
GET
/
v1
/
customers
/
{id}
Get a customer
curl --request GET \
  --url https://api.plexospay.com/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plexospay.com/v1/customers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plexospay.com/v1/customers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "cu_abc123",
  "phone": "+2389001234",
  "name": "<string>",
  "email": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Customer details

id
string
Example:

"cu_abc123"

phone
string
Example:

"+2389001234"

operator
enum<string>

Mobile money operator

Available options:
CVMOVEL,
UNITEL_TMAIS,
MOCK
country
enum<string>

ISO 3166-1 alpha-2 country code

Available options:
CV,
AO
name
string | null
email
string | null
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>